> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /finra/firms

> Get a broker-dealer or investment adviser firm from FINRA BrokerCheck by CRD number

**Price:** 1 credit

**⚠️ Common errors:** 412: No firm found for the given CRD number



## OpenAPI

````yaml /openapi/compliance-sanctions.json post /api/finra/firms
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/finra/firms:
    post:
      tags:
        - /finra
      summary: /finra/firms
      description: >-
        Get a broker-dealer or investment adviser firm from FINRA BrokerCheck by
        CRD number


        **Price:** 1 credit


        **⚠️ Common errors:** 412: No firm found for the given CRD number
      operationId: __api_finra_firms_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FinraFirmPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FinraFirm'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FinraFirmPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        crd:
          type: string
        include_previous:
          type: boolean
          default: true
      type: object
      required:
        - crd
    FinraFirm:
      properties:
        '@type':
          type: string
          default: FinraFirm
        crd:
          type: integer
        firm_name:
          anyOf:
            - type: string
            - type: 'null'
        other_names:
          items:
            type: string
          type: array
          default: []
        bc_scope:
          anyOf:
            - type: string
            - type: 'null'
        ia_scope:
          anyOf:
            - type: string
            - type: 'null'
        is_legacy:
          anyOf:
            - type: boolean
            - type: 'null'
        is_finra_registered:
          anyOf:
            - type: boolean
            - type: 'null'
        is_ia_firm:
          anyOf:
            - type: boolean
            - type: 'null'
        district_name:
          anyOf:
            - type: string
            - type: 'null'
        firm_type:
          anyOf:
            - type: string
            - type: 'null'
        firm_size:
          anyOf:
            - type: string
            - type: 'null'
        firm_status:
          anyOf:
            - type: string
            - type: 'null'
        regulator:
          anyOf:
            - type: string
            - type: 'null'
        formed_state:
          anyOf:
            - type: string
            - type: 'null'
        formed_at:
          anyOf:
            - type: integer
            - type: 'null'
        firm_status_at:
          anyOf:
            - type: integer
            - type: 'null'
        finra_last_approval_at:
          anyOf:
            - type: integer
            - type: 'null'
        fiscal_month_end:
          anyOf:
            - type: string
            - type: 'null'
        bd_sec_number:
          anyOf:
            - type: string
            - type: 'null'
        ia_sec_number:
          anyOf:
            - type: string
            - type: 'null'
        ia_sec_number_type:
          anyOf:
            - type: string
            - type: 'null'
        crs_type:
          anyOf:
            - type: string
            - type: 'null'
        office_address:
          anyOf:
            - $ref: '#/components/schemas/FinraAddress'
            - type: 'null'
        mailing_address:
          anyOf:
            - $ref: '#/components/schemas/FinraAddress'
            - type: 'null'
        business_phone:
          anyOf:
            - type: string
            - type: 'null'
        has_bd_disclosure:
          anyOf:
            - type: boolean
            - type: 'null'
        has_ia_disclosure:
          anyOf:
            - type: boolean
            - type: 'null'
        disclosures:
          items:
            $ref: '#/components/schemas/FinraFirmDisclosureSummary'
          type: array
          default: []
        approved_finra_registration_count:
          anyOf:
            - type: integer
            - type: 'null'
        approved_sec_registration_count:
          anyOf:
            - type: integer
            - type: 'null'
        approved_sro_registration_count:
          anyOf:
            - type: integer
            - type: 'null'
        approved_state_registration_count:
          anyOf:
            - type: integer
            - type: 'null'
        business_type_count:
          anyOf:
            - type: integer
            - type: 'null'
        has_affiliation:
          anyOf:
            - type: boolean
            - type: 'null'
        refer_other_bd:
          anyOf:
            - type: boolean
            - type: 'null'
        registered_states:
          items:
            type: string
          type: array
          default: []
        direct_owners:
          items:
            $ref: '#/components/schemas/FinraDirectOwner'
          type: array
          default: []
        non_registered_affiliate_disclosure_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - crd
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    FinraAddress:
      properties:
        '@type':
          type: string
          default: FinraAddress
        street1:
          anyOf:
            - type: string
            - type: 'null'
        street2:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    FinraFirmDisclosureSummary:
      properties:
        '@type':
          type: string
          default: FinraFirmDisclosureSummary
        disclosure_type:
          type: string
        disclosure_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - disclosure_type
    FinraDirectOwner:
      properties:
        '@type':
          type: string
          default: FinraDirectOwner
        legal_name:
          type: string
        position:
          anyOf:
            - type: string
            - type: 'null'
        bc_scope:
          anyOf:
            - type: string
            - type: 'null'
        crd_number:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - legal_name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````